---
import Icon from "./Icon.astro";
---

<header class="header">
  <div class="page-container">
    <div class="header__content">
      <div class="header__logo">
        <a href="/">
          <img class="w-28" src="/img/Logo.svg" alt="">
        </a>
      </div>
      <!-- Desktop Header Nav -->
      <nav class="header__menu">
        <ul class="menu__list">
          <li class="menu__item menu__item--sub">
            <a>Услуги</a>
            <Icon
              class="arrowDown"
              icon="caretDown"
              color="#ffffff"
              size="1.25rem"
            />
            <ul class="submenu__list">
              <div class="submenu__list-wrapper">
                <div class="submenu__group-title">Дата Центр</div>
                <li class="submenu__item">
                  <a href="#">Аренда сервера</a>
                  <Icon icon="caretRight" color="#1ba7fa" size="1.5rem" />
                </li>
                <li class="submenu__item">
                  <a href="#">Размещение сервера</a>
                  <Icon icon="caretRight" color="#1ba7fa" size="1.5rem" />

                </li>
                <li class="submenu__item">
                  <a href="#">Покупка сервера в лизинг</a>
                  <Icon icon="caretRight" color="#1ba7fa" size="1.5rem" />
                </li>
                <li class="submenu__item">
                  <a href="#">Обслуживание и сервис</a>
                  <Icon icon="caretRight" color="#1ba7fa" size="1.5rem" />
                </li>
                <div class="submenu__group-title">Другие услуги</div>
                <li class="submenu__item">
                  <a href="https://remont-telecom.ru/">Ремонт оборудования</a>
                  <Icon icon="externalLink" size="1.5rem" color="#1ba7fa"/>
                </li>
                <li class="submenu__item">
                  <a href="https://datalab74.ru/">Восстановление данных</a>
                    <Icon icon="externalLink" size="1.5rem" color="#1ba7fa"/>
                </li>
              </div>
            </ul>
          </li>
          <li class="menu__item">
            <a href="#">О нас</a>
          </li>
          <li class="menu__item">
            <a href="">Контакты</a>
          </li>
          <li class="menu__item">
            <a href="">[Консультация]</a>
          </li>
        </ul>
      </nav>
      <!-- Mobile Header Nav -->
      <div class="burger">
        <div class="strip burger-strip">
          <div></div>
          <div></div>
          <div></div>
        </div>
      </div>
      <div class="header__mobile-menu">
        <div class="mobile-menu__content">
          <nav class="mobile-menu__services">
            <ul class="mobile-menu__services-list">
              <li class="mobile-menu__service">
                <a href="#">Аренда сервера</a>
                <Icon icon="caretRight" color="#ffffff" size="32px" />
              </li>
              <li class="mobile-menu__service">
                <a href="#">Размещение сервера</a>
                <Icon icon="caretRight" color="#ffffff" size="32px" />
              </li>
              <li class="mobile-menu__service">
                <a href="#">Сервер в лизинг</a>
                <Icon icon="caretRight" color="#ffffff" size="32px" />
              </li>
              <li class="mobile-menu__service">
                <a href="#">Обслуживание и сервис</a>
                <Icon icon="caretRight" color="#ffffff" size="32px" />
              </li>
            </ul>
          </nav>
          <nav class="mobile-menu__nav">
            <ul class="mobile-menu__list">
              <li class="mobile-menu__item">
                <a href="#">О Дата-Центре</a>
              </li>
              <li class="mobile-menu__item">
                <a href="#">Связь & Контакты</a>
              </li>
            </ul>
            <ul class="mobile-menu__list">
              <li class="mobile-menu__item external-link">
                <a href="#">Ремонт оборудования</a>
                <Icon icon="externalLink" size="24px" color="#ffffff"/>
              </li>
              <li class="mobile-menu__item external-link">
                <a href="#">Восстановление данных</a>
                <Icon icon="externalLink" size="24px" color="#ffffff"/>
              </li>
            </ul>
          </nav>
        </div>
      </div>
    </div>
  </div>
</header>

<style lang="scss">
  @import "../scss/vars";

  .header {
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    width: 100%;
    padding: 1.5rem 0rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background: linear-gradient(
      180deg,
      rgba(5, 6, 12, 0.87) 0.33%,
      rgba(5, 6, 12, 0) 100%
    );
  }
  .header__content {
    flex-basis: 100%;
    display: flex;
    justify-content: space-between;
  }
  .header__logo {
    display: inline;
    width: fit-content;
  }

  .header__menu {
    .menu__list {
      display: flex;
    }
    .menu__list a {
      line-height: 1.5rem; /* 150% */
    }
    .menu__item {
      display: inline-flex;
      align-items: center;
      gap: 0.5rem;
      padding: 0.75rem 1.5rem;

      transition: all 0.1s;
    }
    .menu__item:last-child{
      padding-right: 0;
    }
    .menu__item a:hover {
      color: $azure;
    }
    .menu__item--sub {
      position: relative;
      border-radius: 0.75rem;
      transition: all 0.07s;
    }
    .menu__item--sub > .arrowDown {
      transition: all 0.1s;
    }
    .menu__item--sub:hover {
      background-color: $surface-light;
    }
    .menu__item--sub:hover > a {
      color: $azure;
    }
    .menu__item--sub:hover > .arrowDown {
      fill: $azure;
      stroke: $azure;
    }
    .menu__item--sub:hover > .arrowDown {
      transform: rotate(-90deg);
    }
    // SHOW SUBMENU
    .menu__item--sub:hover > .submenu__list {
      visibility: visible;
      opacity: 1;
    }
    .submenu__list {
      position: absolute;
      top: 100%;
      left: 0;
      z-index: 1000;
      // decorate space for correct hover show
      padding-top: 1.5rem;

      // HIDE SUBMENU
      opacity: 0;
      visibility: hidden;
    }
    .submenu__list-wrapper {
      display: flex;
      flex-direction: column;
      padding: 1rem;
      border-radius: $border-radius;
      background-color: $surface-light;
      box-shadow: 0px 0px 11px 3px rgba(0, 0, 0, 0.33);
    }
    .submenu__group-title {
      display: flex;
      padding: 1.25rem 1rem;
      margin-bottom: 1rem;
      border-bottom: 1px solid $stroke;
      color: $text-light-gray;
      font-size: 0.875rem;
      font-weight: 400;
      line-height: 1.25rem; /* 142.857% */
      text-transform: uppercase;
    }
    .submenu__item {
      width: 22rem;
      padding: 1.25rem 1rem;
      display: flex;
      justify-content: space-between;
      align-items: center;

      border-radius: 0.5rem;

      transition: all 0.1s;
    }
    .submenu__item > svg {
      flex-shrink: 0;
      opacity: 0;
      transition: all 0.1s;
    }
    .submenu__item:hover {
      background: #2e303c;
    }
    .submenu__item:hover a {
      color: $azure;
    }
    .submenu__item:hover > svg {
      opacity: 1;
    }
  }

  .burger {
    display: none;
  }
  @media (max-width: 1000px) {
    .header__menu {
      display: none;
    }

    .burger {
      display: block;
    }
  }
  // MOBILE MENU
  .header.active .header__mobile-menu {
    top: 0;
    visibility: visible;
    opacity: 1;
  }
  .header .header__logo path {
    transition: all 0.6s;
  }
  .header.active .header__logo path {
    fill: #ffffffd8;
  }

  .strip div {
    height: 2px;
    border-radius: 2px;
    background: rgb(255, 255, 255);
    margin: 0.625rem;
    transition: all 0.55s cubic-bezier(0.075, 0.82, 0.165, 1);
    width: 1.875rem;
  }
  .strip div:nth-child(2) {
    width: 0.938rem;
    margin-left: 1.563rem;
  }
  .burger-strip div {
    /* margin: 10px auto; */
    transition: all 0.65s cubic-bezier(0.075, 0.82, 0.165, 1);
  }
  .header.active .burger .burger-strip div:first-child {
    transform: translateY(0.625rem) rotate(0deg) scaleX(1.5);
  }
  .header.active .burger .burger-strip div:nth-child(2) {
    opacity: 0;
  }
  .header.active .burger .burger-strip div:last-child {
    transform: translateY(-0.95rem) rotate(90deg) scaleX(1.5);
  }
  .header.active .burger .burger-strip {
    transform: scale(0.7) rotate(45deg);
    transition: all 0.5s ease 0.1s;
  }

  .header__mobile-menu {
    position: absolute;
    visibility: hidden;
    opacity: 0;
    top: -990px;
    left: 0;
    width: 100%;
    max-height: 100vh;
    z-index: -1000;
    overflow-y: auto;
    padding: 10rem 2.5rem 7.5rem 2.5rem;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    background-image: url("img/mobile-menu-bg.png");
    background-repeat: no-repeat;
    background-size: cover;

    transition: all 0.6s;
  }
  .mobile-menu__content {
    max-width: 1200px;
    display: flex;
    flex-basis: 100%;
    justify-content: space-between;
  }
  .mobile-menu__services {
  }
  .mobile-menu__services-list {
    display: flex;
    flex-direction: column;
    gap: 2.5rem;
  }
  .mobile-menu__service {
    align-self: stretch;

    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 0.5rem;

    padding: 1.125rem 0rem;

    border-bottom: 2px solid rgba(252, 252, 252, 0.7);
  }
  .mobile-menu__service a {
    font-family: $main-font-family;
    font-size: 2rem;
    line-height: 120%; /* 2.4rem */
    letter-spacing: -0.032rem;
  }
  .mobile-menu__nav {
    flex-shrink: 0;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 1rem 0;
  }
  .mobile-menu__list {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 1.5rem;
  }
  .mobile-menu__item a {
    font-size: 1.25rem;
  }
  .external-link {
    display: flex;
    align-items: center;
    gap: 0.5rem;
  }

  @media (max-width: 880px) {
    .header__mobile-menu {
      padding: 8.75rem 2.5rem 4rem 2.5rem;
    }
    .mobile-menu__content {
      flex-direction: column;
      gap: 4rem;
    }
    .mobile-menu__nav {
      flex-direction: row;
      gap: 2.5rem;
      flex-wrap: wrap;
    }
    .mobile-menu__list {
      align-items: flex-start;
    }
  }
  @media (max-width: 480px) {
    .header__mobile-menu {
      padding-left: 1.5rem;
      padding-right: 1.5rem;
    }
    .mobile-menu__services-list {
      gap: 1.5rem;
    }
    .mobile-menu__service a {
      font-size: 1.75rem;
    }
    .mobile-menu__nav {
      gap: 4rem;
      flex-direction: column;
      align-items: flex-end;
    }
    .mobile-menu__list {
      align-items: flex-end;
    }
  }
</style>
